# Interface AccessWatchpointRequest

All Superinterfaces:
  `EventRequest, Mirror, WatchpointRequest`

public interface AccessWatchpointRequest extends WatchpointRequest
Request for notification when the contents of a field are accessed in the target VM. This event will be triggered when the specified field is accessed by Java programming language code or by a Java Native Interface (JNI) get function (`Get<Type>Field, GetStatic<Type>Field`). Access by JDI does not trigger this event. When an enabled AccessWatchpointRequest is satisfied, an `event set` containing an `AccessWatchpointEvent` will be placed on the `EventQueue`. The collection of existing ExceptionRequests is managed by the `EventRequestManager` The collection of existing watchpoints is managed by the `EventRequestManager`.

Note that the modification of a Field is not considered an access.

Since:
  1.3
See Also:
  - `ModificationWatchpointRequest`
  - `EventQueue`
  - `EventRequestManager`

- ## Field Summary

  ### Fields declared in interface EventRequest

  `SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

- ## Method Summary

  ### Methods declared in interface EventRequest

  `addCountFilter, disable, enable, getProperty, isEnabled, putProperty, setEnabled, setSuspendPolicy, suspendPolicy`

  ### Methods declared in interface Mirror

  `toString, virtualMachine`

  ### Methods declared in interface WatchpointRequest

  `addClassExclusionFilter, addClassFilter, addClassFilter, addInstanceFilter, addThreadFilter, field`